package plain

import (
	"git.noahlan.cn/noahlan/nnet/core"
	"git.noahlan.cn/noahlan/nnet/packet"
)

func WithPlainProtocol() []core.RunOption {
	opts := []core.RunOption{
		withPipeline(),
		core.WithRouter(NewRouter()),
		core.WithPacker(func() packet.Packer { return NewPacker() }),
	}
	return opts
}
